﻿using System;
using System.ServiceModel;
using System.Runtime.Serialization;


namespace WCFServer
{
    [ServiceContract]
    public interface IShadowyServer
    {
        [OperationContract]
        string DaliSamJa(string ime);
    }

    public class ShadowyServer : IShadowyServer
    {
        public string DaliSamJa(string ime)
        {
            Console.WriteLine("{0} pita za svoj identitet...", ime);
            Random x = new Random();
            return string.Format("{0} {1}", x.Next() % 2 == 0 ? "Da, ti jesi" : "Ne, ti nisi", ime);
        }
    }
}
