﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WCFClient.ShadowyServiceProxy;
using System.ServiceModel;

namespace WCFClient
{
    class Program
    {
        static void Main(string[] args)
        {
            string ime;
            using (ShadowyServiceProxy.ShadowyServerClient client = new ShadowyServerClient())
            {
                while (true)
                {
                    try
                    {
                        Console.Write("Ko si ti? (Enter za exit): ");
                        ime = Console.ReadLine();
                        if (client.State == CommunicationState.Created) client.Open();
                        if (string.IsNullOrEmpty(ime)) break;
                        Console.WriteLine(client.DaliSamJa(ime));
                    }
                    catch (Exception e)
                    {
                        Console.WriteLine(e.Message);
                    }
                }
            }
        }
    }
}
